> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List workflows

GET https://{tenant_name}.benchling.com/api/v2/workflows

List workflows

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/legacy-workflows-deprecated/list-workflows

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

OK

- `workflows` (list of LegacyWorkflow, optional)

## Types

### LegacyWorkflow

- `createdAt` (datetime, optional) — DateTime at which the the legacy workflow was created
- `description` (string, optional, nullable) — Description of the legacy workflow
- `displayId` (string, optional) — User-friendly ID of the legacy workflow
- `id` (string, optional) — ID of the legacy workflow
- `name` (string, optional) — Name of the legacy workflow
- `projectId` (string, optional) — ID of the project that contains the legacy workflow

## Examples

**Response**

```json
{
  "workflows": [
    {
      "createdAt": "2024-01-15T09:30:00Z",
      "description": "string",
      "displayId": "string",
      "id": "wfw_uHBz7ka2",
      "name": "string",
      "projectId": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/workflows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/workflows';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```